from setuptools import setup, find_packages

setup(
    name="authentic-django",  # Unique name on PyPI
    version="0.2",
    packages=find_packages(),
    include_package_data=True,  # Includes templates & static files
    install_requires=["Django>=3.2"],  # Minimum Django version
    license="MIT",
    description="A plug-and-play Django authentication system with OTP and email verification.",
    long_description=open("README.md").read(),
    long_description_content_type="text/markdown",
    url="https://github.com/yeshu9098/authentic-django",  # Change to your GitHub repo
    author="yeshu9098",
    author_email="yeshu9098@gmail.com",
    classifiers=[
        "Framework :: Django",
        "License :: OSI Approved :: MIT License",
        "Programming Language :: Python :: 3",
    ],
)
